Description

From Herwin's mail on the mailing list:

In troubleshooting (http://docs.cor-lab.org/rsb-manual/trunk/html/troubleshooting.html) it states:

Create or modify a RSB /configuration file/ <http://docs.cor-lab.org/rsb-manual/trunk/html/concepts.html#configuration>
/etc/rsb.conf or ~/.config/rsb.conf to contain the following lines:
[transport.spread]
enabled  =  1
[transport.socket]
enabled  =  0

That doesn't work for me, I need to explicitly specify spread port and host as well:
host = localhost
port = 4803

I should also be able to put the rsb.conf in my local directory (point 2 of the same website). That also doesn't work, I need to put it
in ~/.config.

Both issues are in windows+python, with rsb 0.7.0.

Installing spread is the largest bottleneck in getting rsb to work in Windows. Attached are my install notes and the windows binary
for spread (visual studio 2008 is required, newer versions of vs are apparently incompatible with python 2.7).

After spread is installed, you can use/install rsb itself easily (since it's python only).

Stuff I tried that failed:
- using the spread 4.0 binary libraries instead of compiling them from source; that didn't work because of some odd mix between
debug and release versions of libs used in either spread or the spread-python setup.
- compiling spread-python with mingw. That failed because spread itself has some odd visualstudio-only stuff compiled in the libs.

Associated revisions
Revision dfd3dcf2 - 01/31/2013 01:21 PM - J. Wienke

Add notes about spread python on windows from Herwin.

04/25/2024 1/2

http://docs.cor-lab.org/rsb-manual/trunk/html/troubleshooting.html
http://docs.cor-lab.org/rsb-manual/trunk/html/concepts.html#configuration


fixes #1274

History
#1 - 01/31/2013 12:52 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke
- Target version changed from rsb-0.7 to rsb-0.9

I will fix these for 0.9.

#2 - 01/31/2013 01:02 PM - J. Wienke
- File windows_install.txt added

#3 - 01/31/2013 01:21 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-manual|commit:dfd3dcf2c9a47a6e4d6d2df7d300d812b3bcfdce.

Files
windows_install.txt 751 Bytes 01/31/2013 J. Wienke
